Por favor ayuda con SDL

Preguntas sobre cómo instalar bibliotecas, herramientas como entornos de programación e incluso sistemas operativos como GNU-Linux.

Por favor ayuda con SDL

Notapor shadow_of__soul » Vie Abr 27, 2007 2:46 am

hi,

soy programador y despues de muchos años con win hice una migracion total a kubuntu. mi problema surge al querer instalar los paquetes de las librerias sdl para desarrollo, en adept me tira error, que no la puede instalar, por consola y synaptic lo mismo, tengo actualizado el sistema hasta 6.10, he cambiado una y troa vez de repositorio, hasta con los de debian y nada, hasta he bajado desde el repositorio el paquete y me tira este error:

s1hadow@s1hadow-desktop:~/Desktop$ sudo dpkg -i libsdl1.2-dev_1.2.11-7ubuntu1_i386.deb
(Leyendo la base de datos ...
134767 ficheros y directorios instalados actualmente.)
Desempaquetando libsdl1.2-dev (de libsdl1.2-dev_1.2.11-7ubuntu1_i386.deb) ...
dpkg: error al procesar libsdl1.2-dev_1.2.11-7ubuntu1_i386.deb (--install):
intentando sobreescribir `/usr/share/man/man3/SDL_AddTimer.3.gz', que está también en el paquete sdl-devel
dpkg-deb: el subproceso paste fue terminado por la señal (Tubería rota)
Se encontraron errores al procesar:
libsdl1.2-dev_1.2.11-7ubuntu1_i386.deb


la verdad no se que mas hacer, por favor denme una mano a ver si las puedo istalar de una vez.
como acotacion estan instaladas las librerias sdl de amarok aunque no creoq ue sea problema

desde ya muchas gracias por todo y su atencion

By Shadow

PD:aca esta el log del apt, tambien he limpiado la cache y registro y tengo el mismo problema

s1hadow@s1hadow-desktop:~/Desktop$ sudo apt-get install libsdl1.2-dev
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo información de estado... Hecho
Los siguientes paquetes fueron instalados automáticamente y ya no son necesarios:
supertux-data libopenal0a libdc1394-13 libgadu3 libavformat0d gaim-data libphysfs-1.0-0 libmjpegtools0c2a libzipios++0c2a libavcodec0d
libmeanwhile1 filezilla-common libquicktime0 enigma-data libxerces27
Use «apt-get autoremove» para desinstalarlos.
Se instalarán los siguientes paquetes NUEVOS:
libsdl1.2-dev
0 actualizados, 1 se instalarán, 0 para eliminar y 121 no actualizados.
Se necesita descargar 0B/726kB de archivos.
Se utilizarán 2822kB de espacio de disco adicional después de desempaquetar.
(Leyendo la base de datos ...
134767 ficheros y directorios instalados actualmente.)
Desempaquetando libsdl1.2-dev (de .../libsdl1.2-dev_1.2.10-3ubuntu2_i386.deb) ...
dpkg: error al procesar /var/cache/apt/archives/libsdl1.2-dev_1.2.10-3ubuntu2_i386.deb (--unpack):
intentando sobreescribir `/usr/share/aclocal/sdl.m4', que está también en el paquete sdl-devel
dpkg-deb: el subproceso paste fue terminado por la señal (Tubería rota)
Se encontraron errores al procesar:
/var/cache/apt/archives/libsdl1.2-dev_1.2.10-3ubuntu2_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
Shadow "I'm the soul of the darkness"
Avatar de Usuario
shadow_of__soul
 
Mensajes: 1
Registrado: Lun Oct 23, 2006 10:55 pm

Notapor hugoruscitti » Vie Abr 27, 2007 8:22 pm

Saludos, ¿has intentado ejecutar el siguiente comando?:

sudo apt-get install -f

Si tu problema aún continúa comunicate a mi dirección de correo
electrónico y permiteme acceso a tu equipo con "ssh", de forma
que puede resolver tu problema de manera remota. Necesitaría
que tu equipo esté accesible desde una IP pública.

Mi dirección de correo figura al pie de la siguiente página:

http://www.losersjuegos.com.ar/comunida ... ctenos.php

Buena suerte.
Avatar de Usuario
hugoruscitti
Site Admin
 
Mensajes: 1242
Registrado: Dom Jul 30, 2006 3:57 am
Ubicación: Buenos Aires, Argentina

Empezando tropezando :/

Notapor MalcolmX » Vie May 11, 2007 11:17 pm

No puedo crear nuevo tema, lo siento

Buenas noches... como digo, estoy empezando con el tema de SDL en MacOS X y descargando el SDL.dmg, SDL-Extra.dmg, SDL_image.dmg, SDL_mixer.dmg, al intentar compilar el codigo de http://www.losersjuegos.com.ar/referencia/articulos/instalar_sdl/instalar_sdl.php la terminal me devuelve los siguientes errores:

/usr/bin/ld: can't locate file for: -lSDL_mixer
collect2: ld returned 1 exit status

con la orden: gcc -o test main.c -lSDL -lpthread -lSDL_mixer -lSDL_image

La verdad ya no se que provar y que buscar en google para solucionar el tema. Gracias por su ayuda :)
MalcolmX
 
Mensajes: 1
Registrado: Vie May 11, 2007 11:01 pm


Volver a Instalación de bibliotecas y herramientas

¿Quién está conectado?

Usuarios navegando por este Foro: No hay usuarios registrados visitando el Foro y 2 invitados

cron